<?php
/**
 * Blogs directory filters
 *
 * @package    Community_Builder
 * @subpackage BuddyPress
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

?>
<div class="dir-search-anchor">
    <a href="#"><i class="fa fa-search"></i></a>
</div>
<div class="bp-filter-order-by bp-blogs-filter-order-by">

    <label for="blogs-order-by"><?php _e( 'Order By:', 'community-builder' ); ?></label>
    <select id="blogs-order-by">
        <option value="active"><?php _e( 'Last Active', 'community-builder' ); ?></option>
        <option value="newest"><?php _e( 'Newest', 'community-builder' ); ?></option>
        <option value="alphabetical"><?php _e( 'Alphabetical', 'community-builder' ); ?></option>

		<?php
		/**
		 * Fires inside the select input listing blogs orderby options.
		 */
		do_action( 'bp_blogs_directory_order_options' );
		?>

    </select>
</div>