<?php
/**
 * Directory search
 *
 * Loads directory search for each component.
 *
 * @package    Community_Builder
 * @subpackage BuddyPress
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

$located          = '';
$dir_nav_template = '';
if ( bp_is_members_directory() ) {
	$dir_nav_template = 'members/directory/search.php';
} elseif ( bp_is_activity_directory() ) {
	$dir_nav_template = 'activity/directory/search.php';
} elseif ( bp_is_groups_directory() ) {
	$dir_nav_template = 'groups/directory/search.php';
} elseif ( bp_is_blogs_directory() ) {
	$dir_nav_template = 'blogs/directory/search.php';
}

if ( $dir_nav_template ) {
	$located = bp_locate_template( (array) $dir_nav_template, false, false );
}

/**
 * Filter and use a different directory nav template if needed.
 *
 * @param string $located absolute path to the located directory nav file.
 */
$located = apply_filters( 'cb_bp_dir_search_form_template', $located );// it is the absolute path to the file.
if ( $located && is_readable( $located ) ) {
	require $located;
}
// unset vars.
unset( $located, $dir_nav_template );
