<?php
/**
 * BuddyPress - Member - Profile - Change Cover image
 *
 * @package    Community_Builder
 * @subpackage BuddyPress
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;
?>
<h4><?php _e( 'Change Cover Image', 'community-builder' ); ?></h4>
<div class="bp-change-profile-cover rounded-box">
	<?php

	/**
	 * Fires before the display of profile cover image upload content.
	 */
	do_action( 'bp_before_profile_edit_cover_image' );
	?>

    <p><?php _e( 'Your Cover Image will be used to customize the header of your profile.', 'community-builder' ); ?></p>

	<?php bp_attachments_get_template_part( 'cover-images/index' ); ?>

	<?php

	/**
	 * Fires after the display of profile cover image upload content.
	 */
	do_action( 'bp_after_profile_edit_cover_image' );
	?>
</div>
