<?php
/**
 * Admin Intro view.
 *
 * @package    Community_Builder
 * @subpackage Admin
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

$theme_data	= wp_get_theme();
?>
<div class="content-section welcome-text">

	<p>
		<?php
		/* translators: %s theme name */
		printf( esc_html__( 'Thank you for choosing %s, the most powerful Free WordPress & BuddyPress theme.', 'community-builder' ), $theme_data->Name ) ;
		?>
	</p>
</div>

<div class="content-section intro-section">

	<div class="col-3">
		<h3><?php esc_html_e( 'Documentation', 'community-builder' ); ?></h3>
		<p>
			<?php /* translators: %s theme name */
			 printf( esc_html__( 'Need help setting up? Please check our documentation for detailed information on how to use %s.', 'community-builder' ), $theme_data->Name );
			?>
		</p>
		<a target="_blank" href="<?php echo esc_url( $this->docs_url ); ?>" class="button button-primary button-docs"><?php esc_html_e( 'View Documentation', 'community-builder' ); ?></a>
	</div>

	<div class="col-3">
		<h3><?php esc_html_e( 'Demo', 'community-builder' ); ?></h3>
		<p>

			<?php esc_html_e( "Please check our live demo to see all the features. The demo showcases all features(including pro).", 'community-builder' ); ?>
		</p>
		<a href="<?php echo esc_url( add_query_arg( array( 'utm_source' => 'dashboard', 'utm_campaign' => 'demo' ), $this->demo_url ) ); ?>" class="button button-primary button-demo" target="_blank"><?php esc_html_e( 'View Demo', 'community-builder' ); ?></a>
	</div>

	<div class="col-3">
		<h3><?php esc_html_e( 'Theme Customizer', 'community-builder' ); ?></h3>
		<p>
			<?php /* translators: %s theme name */
			printf( esc_html__( '%s supports the Theme Customizer for all theme settings. Click "Customize" to personalize your site.', 'community-builder' ), esc_html( $theme_data->Name ) );
			?>
		</p>
		<a target="_blank" href="<?php echo esc_url( wp_customize_url() );?>" class="button button-primary button-customize"><?php esc_html_e( 'Start Customizing', 'community-builder' ); ?></a>
	</div>

</div> <!-- end of intro sections -->

