<?php
/**
 * Admin support view.
 *
 * @package    Community_Builder
 * @subpackage Admin
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;
?>
<div class="content-section support-section">

	<div class="col-3">
		<h3>
			<span class="dashicons dashicons-sos"></span>
			<?php esc_html_e( 'Forums', 'community-builder' ); ?>
		</h3>
		<p>
			<?php esc_html_e( "Please search the support forum before creating a new topic. If you are unable to find the solution, Please feel free to create a new topic.", 'community-builder' ); ?>
		<hr>
		<a target="_blank" href="<?php echo esc_url( $this->support_url ); ?>"><?php esc_html_e( 'Go to Support Forums', 'community-builder' ); ?></a>
		</p>
	</div>

	<div class="col-3">
		<h3>
			<span class="dashicons dashicons-admin-tools"></span>
			<?php esc_html_e( 'Changelog', 'community-builder' ); ?>
		</h3>
		<p>
			<?php esc_html_e( 'Need to know what changed in the latest theme updates? Please check our changelog for the list of changes.', 'community-builder' ); ?>
		<hr>
		<a target="_blank" href="<?php echo esc_url( $this->changelog_url ); ?>"><?php esc_html_e( 'Changelog', 'community-builder' ); ?></a>
		</p>
	</div>

</div>

