<?php
/**
 * Blogs Hooks
 *
 * @package    Community_Builder
 * @subpackage BuddyPress
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;


/**
 * Filter blog list args.
 *
 * @param array $args args.
 *
 * @return array
 */
function cb_modify_blogs_loop_args( $args ) {
	// Let us not filter args in admin.
	if ( is_admin() && ! defined( 'DOING_AJAX' ) || isset( $args['context'] ) ) {
		return $args;
	}

	$args['per_page'] = cb_bp_get_blogs_per_page();

	return $args;
}

add_filter( 'bp_after_has_blogs_parse_args', 'cb_modify_blogs_loop_args' );
