<?php
/**
 * Community Builder Global sidebar.
 *
 * @package    Community_Builder
 * @subpackage Core
 * @copyright  Copyright (c) 2018, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

// Do not load sidebar if current page layout or theme layout doesn't allow it.
if ( ! cb_is_sidebar_enabled() ) {
	return;
}

/**
 * Fires before the sidebar is rendered.
 */
do_action( 'cb_before_sidebar' );
?>

<aside id="site-sidebar" class="site-sidebar">

	<div class="sidebar-inner">
		<h1 class="accessibly-hidden"><?php _e( 'Side navigation', 'community-builder' ); ?></h1>

		<?php do_action( 'cb_before_sidebar_contents' ); ?>

		<?php dynamic_sidebar( 'sidebar' ); ?>

		<?php do_action( 'cb_after_sidebar_contents' ); ?>
	</div><!-- end of sidebar inner -->

</aside><!-- #sidebar -->

<?php
/**
 * Fires after the sidebar is rendered.
 */
do_action( 'cb_after_sidebar' );
